Bug 98332 - [SKL] GPU HANG: ecode 9:0:0xfffffffe, in Xorg [2507], reason: Engine(s) hung, action: reset
Summary: [SKL] GPU HANG: ecode 9:0:0xfffffffe, in Xorg [2507], reason: Engine(s) hung,...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Jonas Meurer
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-19 19:49 UTC by Jonas Meurer
Modified: 2019-09-25 18:58 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
/sys/class/drm/card0/error after GPU HANG (523.58 KB, text/plain)
2016-11-14 22:43 UTC, Jonas Meurer
Details
/sys/class/drm/card0/error after GPU HANG with modesetting driver (274.01 KB, text/plain)
2016-12-21 13:46 UTC, Jonas Meurer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Meurer 2016-10-19 19:49:54 UTC
Hello,

recently, something on my Debian Stretch system related to drm/i915 broke. The X server on my Lenovo Thinkpad T460 sometimes freezes, apparently when gnome locks and turns of the screen after some time of inactivity. This renders the system completely unusable, it seems to not react at all anymore. Also changing to a text consoly (tty) doesn't work.

Below you find a copy of the relevant syslog entries and some details about my system. Unfortunately, since the system is rendered unusable, I'm not able to save the crash details from /sys/class/drm/card0/error. After reboot, it obviously is empty again.

Please tell me if I can do anything more to debug this bug. It's very
annoying as it sometimes implies loosing things that you just worked on.

Unfortunately, I don't know another way to reproduce the bug apart from
waiting for the automatic screen lock. Then you have to be (un)lucky
because it doesn't freeze every time.

dpkg -l xserver-xorg xserver-xorg-video-intel libdrm2 libdrm-intel1 linux-image-4.7.0-1-amd64
[...]
||/ Name                       Version            Arch    Description
+++-==========================-==================-=======-==========================================================
ii  libdrm-intel1:amd64        2.4.71-1           amd64   Userspace interface to intel-specific kernel DRM services 
ii  libdrm2:amd64              2.4.71-1           amd64   Userspace interface to kernel DRM services -- runtime
ii  linux-image-4.7.0-1-amd64  4.7.6-1            amd64   Linux 4.7 for 64-bit PCs (signed)
ii  xserver-xorg               1:7.7+16           amd64   X.Org X server
ii  xserver-xorg-video-intel   2:2.99.917+git2016 amd64   X.Org X server -- Intel i8xx, i9xx display driver

# lspci -v -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated Graphics (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo HD Graphics 520
	Flags: bus master, fast devsel, latency 0, IRQ 126
	Memory at f0000000 (64-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at e000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [ac] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [100] #1b
	Capabilities: [200] Address Translation Service (ATS)
	Capabilities: [300] #13
	Kernel driver in use: i915
	Kernel modules: i915

Cheers,
 jonas

(Assumed) relevant logs from /var/log/syslog:

[...]
Oct 12 21:43:01 calvin2 kernel: [11219.762878] [drm] RC6 on
Oct 12 21:43:25 calvin2 kernel: [11243.760753] [drm] RC6 on
Oct 12 21:43:54 calvin2 kernel: [11272.758240] [drm] RC6 on
Oct 12 21:44:23 calvin2 kernel: [11301.754923] [drm] RC6 on
Oct 12 21:44:40 calvin2 kernel: [11318.753426] [drm] stuck on render ring
Oct 12 21:44:40 calvin2 kernel: [11318.754593] [drm] GPU HANG: ecode 9:0:0xfffffffe, in Xorg [2507], reas
on: Engine(s) hung, action: reset
Oct 12 21:44:40 calvin2 kernel: [11318.754599] [drm] GPU hangs can indicate a bug anywhere in the entire 
gfx stack, including userspace.
Oct 12 21:44:40 calvin2 kernel: [11318.754603] [drm] Please file a _new_ bug report on bugs.freedesktop.o
rg against DRI -> DRM/Intel
Oct 12 21:44:40 calvin2 kernel: [11318.754607] [drm] drm/i915 developers can then reassign to the right c
omponent if it's not a kernel issue.
Oct 12 21:44:40 calvin2 kernel: [11318.754610] [drm] The gpu crash dump is required to analyze gpu hangs,
 so please always attach it.
Oct 12 21:44:40 calvin2 kernel: [11318.754614] [drm] GPU crash dump saved to /sys/class/drm/card0/error
Oct 12 21:44:40 calvin2 kernel: [11318.756979] drm/i915: Resetting chip after gpu hang
Oct 12 21:44:41 calvin2 kernel: [11319.761430] [drm] RC6 on
Oct 12 21:44:50 calvin2 kernel: [11328.752757] [drm] stuck on render ring
Oct 12 21:44:50 calvin2 kernel: [11328.753891] [drm] GPU HANG: ecode 9:0:0xfffffffe, in Xorg [2507], reason: Engine(s) hung, action: reset
Oct 12 21:44:50 calvin2 kernel: [11328.756633] drm/i915: Resetting chip after gpu hang
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): EDID vendor "LGD", prod id 1188
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): Printing DDC gathered Modelines:
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): EDID vendor "LGD", prod id 1188
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): Printing DDC gathered Modelines:
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): EDID vendor "LGD", prod id 1188
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): Printing DDC gathered Modelines:
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
Oct 12 21:44:51 calvin2 kernel: [11329.760399] [drm] RC6 on
Oct 12 21:44:51 calvin2 /usr/lib/gdm3/gdm-x-session[2505]: intel_do_flush_locked failed: Input/output error
Oct 12 21:44:51 calvin2 firefox-esr.desktop[3113]: firefox-esr: Fatal IO error 11 (Die Ressource ist zur Zeit nicht verfügbar) on X server :0.
Oct 12 21:44:51 calvin2 pidgin.desktop[2749]: Pidgin: Fatal IO error 11 (Die Ressource ist zur Zeit nicht verfügbar) on X server :0.
[...]
Oct 12 21:44:51 calvin2 kernel: [11329.834184] Qt bearer threa[2850]: segfault at 0 ip 00007fd4d6fbe9e5 sp 00007fd4b7b8e560 error 4 in libQt5DBus.so.5.6.1[7fd4d6f5c000+87000]
Oct 12 21:44:51 calvin2 nautilus-autostart.desktop[2779]: Server response: STATUS:OK:/home/user
Oct 12 21:44:51 calvin2 org.a11y.atspi.Registry[2589]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
Oct 12 21:44:51 calvin2 org.a11y.atspi.Registry[2589]:       after 17393 requests (17393 known processed) with 0 events remaining.
Oct 12 21:44:51 calvin2 org.gnome.Shell.desktop[2606]: xcb_connection_has_error() returned true
Oct 12 21:44:51 calvin2 gnome-session[2516]: gnome-session-binary[2516]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Oct 12 21:44:51 calvin2 gnome-session-binary[2516]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Oct 12 21:44:51 calvin2 gnome-session[2516]: gnome-session-binary[2516]: WARNING: Lost name on bus: org.gnome.SessionManager
Oct 12 21:44:51 calvin2 gnome-session-binary[2516]: WARNING: Lost name on bus: org.gnome.SessionManager
Oct 12 21:44:51 calvin2 org.gtk.vfs.Daemon[2512]: A connection to the bus can't be made
Oct 12 21:44:51 calvin2 org.gnome.Shell.CalendarServer[2512]: gnome-shell-calendar-server[2641]: Lost (or failed to acquire) the name org.gnome.Shell.CalendarServer - exiting
Oct 12 21:44:51 calvin2 pulseaudio[15075]: [pulseaudio] client-conf-x11.c: xcb_connection_has_error() returned true
Oct 12 21:44:51 calvin2 tracker-extract[2745]: Owner of volume monitor org.gtk.vfs.UDisks2VolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:51 calvin2 tracker-extract[2745]: Owner of volume monitor org.gtk.vfs.AfcVolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-extract[2745]: Owner of volume monitor org.gtk.vfs.GPhoto2VolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 gnome-session[2516]: Unable to init server: Could not connect: Connection refused
Oct 12 21:44:52 calvin2 kernel: [11329.918653] gnome-session-f[15076]: segfault at 0 ip 00007f24aad09299 sp 00007fffba44a350 error 4 in libgtk-3.so.0.2200.1[7f24aaa27000+6f7000]
Oct 12 21:44:52 calvin2 tracker-miner-apps.desktop[2743]: Received signal:15->'Beendet'
Oct 12 21:44:52 calvin2 tracker-miner-apps.desktop[2743]: OK
Oct 12 21:44:52 calvin2 zeitgeist-datah[2776]: zeitgeist-datahub.vala:226: Unable to get name "org.gnome.zeitgeist.datahub" on the bus!
Oct 12 21:44:52 calvin2 org.gtk.vfs.Daemon[2512]: A connection to the bus can't be made
Oct 12 21:44:52 calvin2 zeitgeist-fts[2814]: Error releasing name org.gnome.zeitgeist.SimpleIndexer: The connection is closed
Oct 12 21:44:52 calvin2 zeitgeist-fts[2814]: zeitgeist-fts.vala:252: The connection is closed
Oct 12 21:44:52 calvin2 evolution-calen[2867]: Error releasing name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx2848x2: Verbindung ist geschlossen
Oct 12 21:44:52 calvin2 evolution-calen[2889]: Error releasing name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx2848x3: Verbindung ist geschlossen
Oct 12 21:44:52 calvin2 tracker-extract[2745]: Owner of volume monitor org.gtk.vfs.MTPVolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-extract.desktop[2745]: Received signal:15->'Beendet'
Oct 12 21:44:52 calvin2 org.gtk.vfs.Daemon[2512]: A connection to the bus can't be made
Oct 12 21:44:52 calvin2 tracker-extract[2745]: Owner of volume monitor org.gtk.vfs.GoaVolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 org.gtk.vfs.Daemon[2512]: A connection to the bus can't be made
Oct 12 21:44:52 calvin2 org.gtk.vfs.Daemon[2512]: A connection to the bus can't be made
Oct 12 21:44:52 calvin2 tracker-miner-fs.desktop[2758]: Received signal:15->'Beendet'
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Owner of volume monitor org.gtk.vfs.UDisks2VolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Owner of volume monitor org.gtk.vfs.AfcVolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Owner of volume monitor org.gtk.vfs.GPhoto2VolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Owner of volume monitor org.gtk.vfs.MTPVolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Owner of volume monitor org.gtk.vfs.GoaVolumeMonitor disconnected from the bus; removing drives/volumes/mounts
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Error while sending AddMatch() message: Verbindung ist geschlossen
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Error while sending AddMatch() message: Verbindung ist geschlossen
Oct 12 21:44:52 calvin2 tracker-miner-f[2758]: Error while sending AddMatch() message: Verbindung ist geschlossen
Oct 12 21:44:52 calvin2 org.freedesktop.Tracker1[2512]: Received signal:15->'Beendet'
Oct 12 21:44:52 calvin2 zeitgeist-daemo[2788]: g_object_unref: assertion 'object->ref_count > 0' failed
Oct 12 21:44:52 calvin2 org.gnome.zeitgeist.Engine[2512]: #033[31m[19:44:52.029293 WARNING]#033[0m zeitgeist-daemon.vala:449: The connection is closed
Oct 12 21:44:52 calvin2 rtkit-daemon[2391]: Successfully made thread 15080 of process 15080 (n/a) owned by '1000' high priority at nice level -11.
Oct 12 21:44:52 calvin2 rtkit-daemon[2391]: Supervising 4 threads of 2 processes of 2 users.
Oct 12 21:44:52 calvin2 pulseaudio[15080]: [pulseaudio] pid.c: Stale PID file, overwriting.
Oct 12 21:44:52 calvin2 kernel: [11330.576061] ------------[ cut here ]------------
Oct 12 21:44:52 calvin2 kernel: [11330.576092] WARNING: CPU: 1 PID: 1860 at /build/linux-1ecnnL/linux-4.7.5/drivers/gpu/drm/i915/intel_display.c:13554 intel_atomic_commit+0x12bd/0x1370 [i915]
Oct 12 21:44:52 calvin2 kernel: [11330.576092] pipe A vblank wait timed out
Oct 12 21:44:52 calvin2 kernel: [11330.576117] Modules linked in: fuse pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) ctr ccm ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter bnep snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic binfmt_misc btusb btrtl btbcm btintel bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_soc_core snd_compress iTCO_wdt dw_dmac_core iTCO_vendor_support arc4 intel_rapl iwlmvm x86_pkg_temp_thermal intel_powerclamp coretemp mac80211 kvm_intel kvm irqbypass pcspkr joydev evdev serio_raw snd_hda_intel iwlwifi snd_hda_codec snd_hda_core snd_hwdep snd_pcm i2c_i801 snd_timer cfg80211 i915 rtsx_pci_ms memstick shpchp sg thinkpad_acpi wmi nvram snd ac soundcore rfkill drm_kms_helper battery drm mei_me mei video i2c_algo_bit intel_pch_thermal button tpm_tis tpm parport_pc ppdev lp parport ip_tables x_tables autofs4 ext4 ecb crc16 jbd2 crc32c_generic mbcache algif_skcipher af_alg dm_crypt dm_mod sd_mod crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel rtsx_pci_sdmmc mmc_core jitterentropy_rng hmac drbg ansi_cprng ahci libahci aesni_intel libata xhci_pci aes_x86_64 lrw gf128mul glue_helper ablk_helper xhci_hcd cryptd scsi_mod psmouse e1000e usbcore ptp pps_core rtsx_pci mfd_core usb_common thermal fjes
Oct 12 21:44:52 calvin2 kernel: [11330.576141] CPU: 1 PID: 1860 Comm: systemd-logind Tainted: G           OE   4.7.0-1-amd64 #1 Debian 4.7.5-1
Oct 12 21:44:52 calvin2 kernel: [11330.576142] Hardware name: LENOVO 20FN003LGE/20FN003LGE, BIOS R06ET33W (1.07 ) 01/05/2016
Oct 12 21:44:52 calvin2 kernel: [11330.576144]  0000000000000286 00000000933f81ee ffffffffa1919f25 ffff88030bd0f908
Oct 12 21:44:52 calvin2 kernel: [11330.576145]  0000000000000000 ffffffffa167a00e 0000000000000000 ffff88030bd0f960
Oct 12 21:44:52 calvin2 kernel: [11330.576146]  ffff880311937000 0000000000000000 0000000000000000 0000000000000000
Oct 12 21:44:52 calvin2 kernel: [11330.576146] Call Trace:
Oct 12 21:44:52 calvin2 kernel: [11330.576151]  [<ffffffffa1919f25>] ? dump_stack+0x5c/0x77
Oct 12 21:44:52 calvin2 kernel: [11330.576154]  [<ffffffffa167a00e>] ? __warn+0xbe/0xe0
Oct 12 21:44:52 calvin2 kernel: [11330.576156]  [<ffffffffa167a08f>] ? warn_slowpath_fmt+0x5f/0x80
Oct 12 21:44:52 calvin2 kernel: [11330.576158]  [<ffffffffa16ba9fe>] ? finish_wait+0x3e/0x70
Oct 12 21:44:52 calvin2 kernel: [11330.576179]  [<ffffffffc096d66d>] ? intel_atomic_commit+0x12bd/0x1370 [i915]
Oct 12 21:44:52 calvin2 kernel: [11330.576180]  [<ffffffffa16bac90>] ? wake_atomic_t_function+0x60/0x60
Oct 12 21:44:52 calvin2 kernel: [11330.576189]  [<ffffffffc0839cb3>] ? restore_fbdev_mode+0x223/0x250 [drm_kms_helper]
Oct 12 21:44:52 calvin2 kernel: [11330.576195]  [<ffffffffc083bf5e>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x2e/0x70 [drm_kms_helper]
Oct 12 21:44:52 calvin2 kernel: [11330.576199]  [<ffffffffc083bfc9>] ? drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
Oct 12 21:44:52 calvin2 kernel: [11330.576220]  [<ffffffffc09873e6>] ? intel_fbdev_set_par+0x16/0x60 [i915]
Oct 12 21:44:52 calvin2 kernel: [11330.576222]  [<ffffffffa1996468>] ? fb_set_var+0x208/0x410
Oct 12 21:44:52 calvin2 kernel: [11330.576242]  [<ffffffffa17bc852>] ? map_vm_area+0x32/0x40
Oct 12 21:44:52 calvin2 kernel: [11330.576244]  [<ffffffffa17bd7bf>] ? __vmalloc_node_range+0x20f/0x280
Oct 12 21:44:52 calvin2 kernel: [11330.576259]  [<ffffffffa198ce91>] ? fbcon_blank+0x2f1/0x330
Oct 12 21:44:52 calvin2 kernel: [11330.576262]  [<ffffffffa1a0c968>] ? do_unblank_screen+0xd8/0x1a0
Oct 12 21:44:52 calvin2 kernel: [11330.576264]  [<ffffffffa1a02b68>] ? vt_ioctl+0x4d8/0x1290
Oct 12 21:44:52 calvin2 kernel: [11330.576266]  [<ffffffffa19fd7e2>] ? tty_mode_ioctl+0x1c2/0x4f0
Oct 12 21:44:52 calvin2 kernel: [11330.576267]  [<ffffffffa19f76ec>] ? tty_ioctl+0x33c/0xc30
Oct 12 21:44:52 calvin2 kernel: [11330.576268]  [<ffffffffa19f6d32>] ? tty_release+0x302/0x640
Oct 12 21:44:52 calvin2 kernel: [11330.576271]  [<ffffffffa1725b05>] ? seccomp_phase1+0xa5/0x2d0
Oct 12 21:44:52 calvin2 kernel: [11330.576272]  [<ffffffffa180b09e>] ? do_vfs_ioctl+0x9e/0x5d0
Oct 12 21:44:52 calvin2 kernel: [11330.576275]  [<ffffffffa160391f>] ? syscall_trace_enter_phase1+0x11f/0x150
Oct 12 21:44:52 calvin2 kernel: [11330.576276]  [<ffffffffa180b644>] ? SyS_ioctl+0x74/0x80
Oct 12 21:44:52 calvin2 kernel: [11330.576278]  [<ffffffffa1603c5a>] ? do_syscall_64+0x7a/0xd0
Oct 12 21:44:52 calvin2 kernel: [11330.576280]  [<ffffffffa1bdb1e5>] ? entry_SYSCALL64_slow_path+0x25/0x25
Oct 12 21:44:52 calvin2 kernel: [11330.576281] ---[ end trace 698420e38f37c788 ]---
[...]
Oct 12 21:45:00 calvin2 kernel: [11338.728099] [drm] stuck on render ring
Oct 12 21:45:00 calvin2 kernel: [11338.728629] [drm] GPU HANG: ecode 9:0:0xfffffffe, reason: Engine(s) hung, action: reset
Oct 12 21:45:00 calvin2 kernel: [11338.738501] drm/i915: Resetting chip after gpu hang
Oct 12 21:45:00 calvin2 kernel: [11338.779569] ------------[ cut here ]------------
Oct 12 21:45:00 calvin2 kernel: [11338.779682] WARNING: CPU: 0 PID: 2346 at /build/linux-1ecnnL/linux-4.7.5/drivers/gpu/drm/i915/intel_display.c:13554 intel_atomic_commit+0x12bd/0x1370 [i915]
Comment 1 Jonas Meurer 2016-11-14 22:43:10 UTC
Created attachment 127969 [details]
/sys/class/drm/card0/error after GPU HANG
Comment 2 Jonas Meurer 2016-11-14 22:45:24 UTC
Hi, I finally managed to save the content of /sys/class/drm/card0/error after the GPU HANG happened again. I was able to ssh into the system from another machine and copy the file before I rebooted.

Apparently, the bug occurs only when I'm in battery mode. I'm not absolutely sure, but I believe that I never had the issue with my laptop being connected to power.

Cheers,
 jonas
Comment 3 Matt Turner 2016-11-14 22:48:34 UTC
Thanks. (Please don't change the Importance fields. They really don't mean anything)
Comment 4 Mark Janes 2016-12-07 17:43:36 UTC
Jonas, this gpu hang may be caused by a known issue in the xf86-video-intel DDX.

Can you please attempt to reproduce this using modesetting?
Comment 5 Jonas Meurer 2016-12-21 13:45:08 UTC
Hi there,

i uninstalled the intel video driver and run the xserver with modesetting driver since a few days as suggested by Mark. Nevertheless, today the GPU hang happened again for the first time. I'll attach a copy of /sys/class/drm/card0/error after the hang.

So contrary to Marks assumption, this bug seems to be unrelated to the xorg intel video driver.

My systems runs Linux kernel 4.8.11, X.Org 7.7+18 and mesa/libgl1 13.0.2 (up-to-date Debian Stretch system).

Anything further, that I can do to help you debugging the issue?
Comment 6 Jonas Meurer 2016-12-21 13:46:45 UTC
Created attachment 128604 [details]
/sys/class/drm/card0/error after GPU HANG with modesetting driver

This is the content of /sys/class/drm/card0/error after the most recent GPU HANG with modesetting video driver (after I uninstalled the xorg intel video driver).
Comment 7 Jonas Meurer 2017-10-31 20:56:13 UTC
I finally discovered that this bug only occurs when I have TLP[1] installed and enabled and am on battery mode. So my current guess is that this is related to some deep battery saving mode of the i915 video controller that is only enabled by TLP.

[1] https://github.com/linrunner/TLP
Comment 8 Mark Janes 2017-10-31 21:16:49 UTC
Jonas, thank you for sharing this important clue.

Elizabeth, can you reproduce this behavior with TLP installed?
Comment 9 Elizabeth 2017-11-03 15:30:06 UTC
(In reply to Mark Janes from comment #8)
> Jonas, thank you for sharing this important clue.
> 
> Elizabeth, can you reproduce this behavior with TLP installed?
Hello everyone, I failed to reproduce the issue on SKL.
I installed a fresh debian image, installed TLP, reduce time to sleep to 1 min, and let it sleep and wake with keyboard multiple times. Am I losing something?

To get TLP:
sudo add-apt-repository ppa:linrunner/tlp
sudo apt update
sudo apt install tlp tlp-rdw
sudo reboot
sudo tlp-stat 
(which return 

+++ TLP Status
State          = enabled
Last run       = 08:21:48 AM,    398 sec(s) ago
Mode           = battery
Power source   = battery

and some other stuff)

$ glxinfo | grep "OpenGL version"
OpenGL version string: 3.0 Mesa 13.0.6

$ Xorg -Version
X.Org X Server 1.19.2
Release Date: 2017-03-02
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.9.0-3-amd64 x86_64 Debian
Current Operating System: Linux debian 4.9.0-4-amd64 #1 SMP Debian 4.9.51-1 (2017-09-28) x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-4-amd64 root=/dev/sda2 ro quiet
Build Date: 07 July 2017  06:14:06AM
xorg-server 2:1.19.2-1+deb9u1 (https://www.debian.org/support) 
Current version of pixman: 0.34.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.

======================================
	     Software
======================================
kernel version              : 4.9.0-4-amd64
hostname                    : debian
architecture                : x86_64
os version                  : Debian GNU/Linux 9.1 (stretch)
os codename                 : stretch
kernel driver               : i915
bios revision               : 1.0
bios release date           : 08/07/2015
hardware acceleration       : only available on X
swap partition              : enabled on (/dev/sda3)

======================================
	     Hardware
======================================
platform                   : Skylake
motherboard model          : Inspiron15-7568
motherboard id             : 02HK88
form factor                : Laptop
manufacturer               : DellInc.
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz
gpu card                   : Intel Corporation HD Graphics 520 (rev 07) (prog-if 00 [VGA controller])
memory ram                 : 7.69 GB
max memory ram             : 8 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 78
cpu stepping               : 3
socket                     : Other
signature                  : Type 0, Family 6, Model 78, Stepping 3
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1
Comment 10 GitLab Migration User 2019-09-25 18:58:48 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1545.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.